List Segments
List all segments for the organization with cursor-based pagination.
GET
/segmentsRequires a full_access API key.
Query Parameters
limitnumberMaximum number of results to return. Min 1, max 100. Default 100.
afterstringCursor for forward pagination.
beforestringCursor for backward pagination.
Response Fields
objectstringAlways "list".
has_morebooleanWhether there are more results available.
dataarrayArray of segment objects. Each item contains id, name, and created_at.
curl -X GET 'https://api.postflare.app/segments?limit=10' \
-H 'Authorization: Bearer re_xxxxxxxxx'const response = await fetch('https://api.postflare.app/segments?limit=10', {
headers: {
'Authorization': 'Bearer re_xxxxxxxxx',
},
});
const data = await response.json();Response
{
"object": "list",
"has_more": false,
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Newsletter Subscribers",
"created_at": "2026-01-01T00:00:00.000Z"
}
]
}